Retrieve created label

POST /openapi/Document/GetCreatedLabel — TMS API · Label

Returns the content of previously created labels per package; no new request is sent to the carrier.

İstek gövdesi

  • clientCode (string, zorunlu): Organization code.
  • accountCode (string, zorunlu): Account code.
  • createdLabels (object[], zorunlu): Shipments to retrieve labels for.
    • createdLabels.parcels (object[]): Packages to retrieve labels for.
      • createdLabels.parcels.customerSpecificCode (string): Package number (your unique package code).
    • createdLabels.consignmentNumber (string): Shipment number.

Yanıtlar

  • 200: Labels
  • 400: Label not found
  • 401: No token, invalid or expired (empty response).

200 yanıt alanları

  • format (string): Label format.
  • carrierCode (string): Carrier code.
  • barcodeLabel (string): Label content (ZPL text or content encoded according to the format).
  • barcodeValue (string): Barcode value on the label.
  • trackingLink (string): Tracking link.
  • trackingNumber (string): Carrier tracking number.
  • consignmentNumber (string): Shipment number.
  • customerSpecificCode (string): Package number.
  • barcodeLabelIntegrationTypeCode (string): Integration type used to generate the label.